| Irrlicht 3D Engine |

Public Attributes
irr::scene::SParticle Struct Reference

Struct for holding particle data. More...

`#include <SParticle.h>`

List of all members.

## Public Attributes

- video::SColor color
    Current color of the particle.
- u32 endTime
    End life time of the particle.
- core::vector3df pos
    Position of the particle.
- core::dimension2df size
    Scale of the particle.
- video::SColor startColor
    Original color of the particle.
- core::dimension2df startSize
    Original scale of the particle.
- u32 startTime
    Start life time of the particle.
- core::vector3df startVector
    Original direction and speed of the particle.
- core::vector3df vector
    Direction and speed of the particle.

## Detailed Description

Struct for holding particle data.

Definition at line 17 of file SParticle.h.

## Member Data Documentation

video::SColor irr::scene::SParticle::color

Current color of the particle.

Definition at line 32 of file SParticle.h.

u32 irr::scene::SParticle::endTime

End life time of the particle.

Definition at line 29 of file SParticle.h.

core::vector3df irr::scene::SParticle::pos

Position of the particle.

Definition at line 20 of file SParticle.h.

core::dimension2df irr::scene::SParticle::size

Scale of the particle.

The current scale of the particle.

Definition at line 44 of file SParticle.h.

video::SColor irr::scene::SParticle::startColor

Original color of the particle.

That's the color of the particle it had when it was emitted.

Definition at line 36 of file SParticle.h.

core::dimension2df irr::scene::SParticle::startSize

Original scale of the particle.

The scale of the particle when it was emitted.

Definition at line 48 of file SParticle.h.

u32 irr::scene::SParticle::startTime

Start life time of the particle.

Definition at line 26 of file SParticle.h.

core::vector3df irr::scene::SParticle::startVector

Original direction and speed of the particle.

The direction and speed the particle had when it was emitted.

Definition at line 40 of file SParticle.h.

core::vector3df irr::scene::SParticle::vector

Direction and speed of the particle.

Definition at line 23 of file SParticle.h.

The documentation for this struct was generated from the following file:

- SParticle.h